Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.sftp
Class SftpSubsystemServer

    java.lang.Object
      com.sshtools.daemon.subsystem.SubsystemServer
          com.sshtools.daemon.sftp.SftpSubsystemServer

All Implemented Interfaces:
  java.lang.Runnable

public class SftpSubsystemServer
extends SubsystemServer

DOCUMENT ME!

Field Summary
`static int` | `VERSION_1` DOCUMENT ME!
`static int` | `VERSION_2` DOCUMENT ME!
`static int` | `VERSION_3` DOCUMENT ME!
`static int` | `VERSION_4` DOCUMENT ME!

Fields inherited from class com.sshtools.daemon.subsystem.SubsystemServer
`session`

Constructor Summary
`SftpSubsystemServer()` Creates a new SftpSubsystemServer object.

Method Summary
`protected void` | `onMessageReceived(SubsystemMessage msg)` DOCUMENT ME!
`void` | `setSession(SessionChannelServer session)`

Methods inherited from class com.sshtools.daemon.subsystem.SubsystemServer
`getInputStream, getOutputStream, getState, registerMessage, run, sendMessage, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION_1

    public static final int VERSION_1

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VERSION_2

    public static final int VERSION_2

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VERSION_3

    public static final int VERSION_3

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VERSION_4

    public static final int VERSION_4

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### SftpSubsystemServer

    public SftpSubsystemServer()

  Creates a new SftpSubsystemServer object.

Method Detail

### setSession

    public void setSession(SessionChannelServer session)

  Overrides:
    `setSession` in class `SubsystemServer`

### onMessageReceived

    protected void onMessageReceived(SubsystemMessage msg)

  DOCUMENT ME!

  Specified by:
    `onMessageReceived` in class `SubsystemServer`
  Parameters:
    `msg` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD